#!/bin/bash

if [ $# -ne 2 ]; then
	echo "Usage: merge.sh <dir_with_files> <output_file>"
	exit
fi

if [ ! -d $1 ]; then
	echo "Directory $1 does not exist"
	exit
fi

if [ -e $2 ]; then
	echo "File $2 already exists"
	exit
fi

for i in $(ls -1 $1); do
	cat $1/$i >> $2
done
