#!/bin/bash

if [ $# -ne 3 ]; then
	echo "Usage: repeat.sh <times> <input_file> <output_file>"
	exit
fi

if [ ! -e $2 ]; then
	echo "File $2 does not exist"
	exit
fi

if [ -e $3 ]; then
	echo "File $3 already exists"
	exit
fi

for (( i=1; i <= $1; i=$i+1 )); do
	cat $2 >> $3
done
