#!/bin/bash

ver="$(su -l op5lsu -c "psql -U op5lsu op5lsu -c 'SELECT version FROM service' -t | sed 's/ //g'")"

let targ=$ver+1;

status=0

while [ -d "/opt/logserver/db/up${ver}to${targ}" ]
do
    pushd "/opt/logserver/db/up${ver}to${targ}"
    ./upgrade.sh || status=1
    popd
    
    let ver++;
    let targ++;
    
    if [ $status -eq 1 ]
    then
	exit 1
    fi
done
